Bug 179754 - New port: devel/p5-CPAN-Site
Summary: New port: devel/p5-CPAN-Site
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-20 11:00 UTC by Anes Mukhametov
Modified: 2013-11-15 16:30 UTC (History)
0 users

See Also:


Attachments
p5-CPAN-Site.shar (2.75 KB, text/plain)
2013-06-20 11:00 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-06-20 11:00:01 UTC
	New port devel/p5-CPAN-Site
	The cpansite script is used to create your own CPAN server.
	http://search.cpan.org/dist/CPAN-Site/
Comment 1 Edwin Groothuis freebsd_committer 2013-06-20 11:00:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:55:50 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:09:32 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Mathieu Arnold freebsd_committer 2013-11-15 15:13:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mat

Take
Comment 5 Mathieu Arnold freebsd_committer 2013-11-15 16:28:29 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2013-11-15 16:29:03 UTC
Author: mat
Date: Fri Nov 15 16:28:54 2013
New Revision: 333885
URL: http://svnweb.freebsd.org/changeset/ports/333885

Log:
  Add p5-CPAN-Site 1.11, extend CPAN with private packages.
  
  PR:		ports/179754
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/devel/p5-CPAN-Site/
  head/devel/p5-CPAN-Site/Makefile   (contents, props changed)
  head/devel/p5-CPAN-Site/distinfo   (contents, props changed)
  head/devel/p5-CPAN-Site/pkg-descr   (contents, props changed)
  head/devel/p5-CPAN-Site/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Fri Nov 15 16:17:05 2013	(r333884)
+++ head/devel/Makefile	Fri Nov 15 16:28:54 2013	(r333885)
@@ -1489,6 +1489,7 @@
     SUBDIR += p5-CPAN-Reporter
     SUBDIR += p5-CPAN-Reporter-Smoker
     SUBDIR += p5-CPAN-SQLite
+    SUBDIR += p5-CPAN-Site
     SUBDIR += p5-CPAN-Testers-Report
     SUBDIR += p5-CPAN-Uploader
     SUBDIR += p5-CPAN-YACSmoke

Added: head/devel/p5-CPAN-Site/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-CPAN-Site/Makefile	Fri Nov 15 16:28:54 2013	(r333885)
@@ -0,0 +1,34 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	CPAN-Site
+PORTVERSION=	1.11
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Extend CPAN with private packages
+
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
+BUILD_DEPENDS=	p5-Archive-Tar>=1.00:${PORTSDIR}/archivers/p5-Archive-Tar \
+		p5-Compress-Bzip2>=0:${PORTSDIR}/archivers/p5-Compress-Bzip2 \
+		p5-CPAN-Checksums>=0:${PORTSDIR}/devel/p5-CPAN-Checksums \
+		p5-libwww>=0:${PORTSDIR}/www/p5-libwww \
+		p5-IO-Zlib>=0:${PORTSDIR}/archivers/p5-IO-Zlib \
+		p5-Log-Report>=0.25:${PORTSDIR}/devel/p5-Log-Report \
+		p5-version>=0.76:${PORTSDIR}/devel/p5-version
+RUN_DEPENDS=	p5-Archive-Tar>=1.00:${PORTSDIR}/archivers/p5-Archive-Tar \
+		p5-Compress-Bzip2>=0:${PORTSDIR}/archivers/p5-Compress-Bzip2 \
+		p5-CPAN-Checksums>=0:${PORTSDIR}/devel/p5-CPAN-Checksums \
+		p5-libwww>=0:${PORTSDIR}/www/p5-libwww \
+		p5-IO-Zlib>=0:${PORTSDIR}/archivers/p5-IO-Zlib \
+		p5-Log-Report>=0.25:${PORTSDIR}/devel/p5-Log-Report \
+		p5-version>=0.76:${PORTSDIR}/devel/p5-version
+
+USES=	perl5
+USE_PERL5=	configure
+
+.include <bsd.port.mk>

Added: head/devel/p5-CPAN-Site/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-CPAN-Site/distinfo	Fri Nov 15 16:28:54 2013	(r333885)
@@ -0,0 +1,2 @@
+SHA256 (CPAN-Site-1.11.tar.gz) = 2d00aaac94d323a3041eeac691e8c6aa3140b8203afbf7b3a775c580cbe5ad7d
+SIZE (CPAN-Site-1.11.tar.gz) = 71907

Added: head/devel/p5-CPAN-Site/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-CPAN-Site/pkg-descr	Fri Nov 15 16:28:54 2013	(r333885)
@@ -0,0 +1,7 @@
+The cpansite script is used to create your own CPAN server.
+The logic is implemented in CPAN::Site::Index which you may
+use directly.
+
+You only need to install this module on one server in your network.
+
+WWW: http://search.cpan.org/dist/CPAN-Site/

Added: head/devel/p5-CPAN-Site/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-CPAN-Site/pkg-plist	Fri Nov 15 16:28:54 2013	(r333885)
@@ -0,0 +1,9 @@
+bin/cpansite
+man/man1/cpansite.1.gz
+%%SITE_PERL%%/CPAN/Site.pm
+%%SITE_PERL%%/CPAN/Site/Index.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/CPAN/Site/.packlist
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/CPAN/Site
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/CPAN
+@dirrm %%SITE_PERL%%/CPAN/Site
+@dirrmtry %%SITE_PERL%%/CPAN
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"